org.vishia.guiBzr

## Class MainAction

- java.lang.Object
- - org.vishia.guiBzr.MainAction

-     public class MainAction
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralUserAction` | `actionRevertWithTimestamp` Gets the status for the Component of the actual line, refresh the line.
    `(package private) GuiCommitPanel` | `guiCommitPanel`
    `(package private) GuiFilesDiffPanel` | `guiFilesDiffPanel`
    `(package private) GuiStatusPanel` | `guiStatusPanel`
    `(package private) java.lang.Runnable` | `initNewComponent`
    `(package private) MainData` | `mainData`
    `(package private) PanelOutput` | `panelOutput`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainAction(MainData mainData, GuiStatusPanel guiStatusPanel, GuiCommitPanel guiCommitPanel, GuiFilesDiffPanel guiFilesDiffPanel, PanelOutput panelOutput)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) java.lang.String` | `findBazaarExe()`
    `(package private) java.io.File` | `getContentofCommitText()` Stores the commit text in a file and returns this File-object.
    `(package private) void` | `revertWithTimestamps()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mainData

          final MainData mainData

    - #### guiStatusPanel

          final GuiStatusPanel guiStatusPanel

    - #### guiCommitPanel

          final GuiCommitPanel guiCommitPanel

    - #### guiFilesDiffPanel

          final GuiFilesDiffPanel guiFilesDiffPanel

    - #### panelOutput

          final PanelOutput panelOutput

    - #### initNewComponent

          java.lang.Runnable initNewComponent

    - #### actionRevertWithTimestamp

          GralUserAction actionRevertWithTimestamp

      Gets the status for the Component of the actual line, refresh the line.

  - ### Constructor Detail

    - #### MainAction

          MainAction(MainData mainData,
                     GuiStatusPanel guiStatusPanel,
                     GuiCommitPanel guiCommitPanel,
                     GuiFilesDiffPanel guiFilesDiffPanel,
                     PanelOutput panelOutput)

  - ### Method Detail

    - #### getContentofCommitText

          java.io.File getContentofCommitText()

      Stores the commit text in a file and returns this File-object. Reads the text of the commit text box in the commit panel and writes it to the file "_bzrCommit.txt" in the current source component folder.
      Returns:
        null if the text in the box is empty, else the File where the commit text is stored.

    - #### findBazaarExe

          java.lang.String findBazaarExe()

    - #### revertWithTimestamps

          void revertWithTimestamps()